<section class="filter-wrapper" (clickOutside)="show = false">
    <div class="keyword-wrapper">
        <input [formControl]="queryField" type="text" id="keyword" placeholder="search for pokemon..." (click)="show = true" autofocus/>
    </div>
    <ul class="filter-select" *ngIf="show">
        <li *ngFor="let result of results" class="filter-select-list" (click)="displayPoke(result)"><img src="https://raw.githubusercontent.com/PokeAPI/sprites/master/sprites/pokemon/{{result.id_pokemon}}.png" alt="" onerror="this.src='https://raw.githubusercontent.com/PokeAPI/sprites/master/sprites/pokemon/0.png';" width="50" height="50">
            <p
                class="artist-name">
                {{result.pokeName}}</p>
    </ul>
</section>


<section class="pokeProfile" id="stark" *ngIf="showPoke">
    <div class="profile-card">
        <div class="photo"><img src="{{profileImage}}" alt="" onerror="this.src='https://raw.githubusercontent.com/PokeAPI/sprites/master/sprites/pokemon/0.png';" class="profileImage"></div>
        <div class="text-info-outer">
            <div class="text-info-inner">
                <h1>{{currentPoke.pokeName}}</h1>
                <p>{{profileBody}}</p>
                <div class="follow-button" (click)="addpokemon()">
                    <h4>Add to team</h4>
                </div>
            </div>
        </div>
    </div>
</section>